Skip to main content
POST
/
api
/
v1
/
media
/
{id}
/
complete
cURL
curl --request POST \
  --url https://sandbox.api.nkama.ga/api/v1/media/{id}/complete \
  --header 'Authorization: Bearer <token>'
{
  "contentType": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "filename": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sizeBytes": 123
}

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

contentType
string
createdAt
string<date-time>
filename
string
id
string<uuid>
kind
enum<string>
Available options:
PHOTO,
DOCUMENT
orgId
string<uuid>
ownerId
string<uuid>
ownerType
enum<string>
Available options:
PROPERTY,
UNIT,
VERIFICATION,
USER
ownerUserId
string<uuid>
sizeBytes
integer<int64>
status
enum<string>
Available options:
PENDING,
AVAILABLE